Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

jruby-complete-1.7.x comes with yaml ruby files from yecht.jar which conflicts with stdlib #3307

Closed
mkristian opened this Issue Sep 3, 2015 · 0 comments

Comments

Projects
None yet
1 participant
@mkristian
Copy link
Member

mkristian commented Sep 3, 2015

jruby-complete shades the yecht.jar which contains the yaml ruby files for MRI-1.8.x

when you have classpath:/ or uri:classloader:/ then those files are used instead of stdlib ones. the yecht files are outdated and do not even match the files from ./lib/ruby/1.8

not sure if this all is of practical implication beside it sidetracked by finding #3306

i.e. better exclude those from jruby-complete

@mkristian mkristian self-assigned this Sep 3, 2015

@mkristian mkristian added this to the JRuby 1.7.23 milestone Sep 3, 2015

mkristian added a commit that referenced this issue Sep 4, 2015

[build] use yecht-1.1-SNAPSHOT
fixes #3307

Sponsored by Lookout Inc.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.